> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new tag sub-resource under the given tag group



## OpenAPI

````yaml post /v0/tag-groups/{groupId}/tags
openapi: 3.0.1
info:
  title: Gjoll API
  description: Gjoll OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-accounting-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 84.1.2
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: reconciliation
    description: Reconciliation API
  - name: accounts
    description: Accounts API
  - name: categories
    description: Categories API
  - name: tax-codes
    description: Tax Codes API
  - name: accounting-entries
    description: |-
      The Accounting Entries API endpoints enable you to perform the following:
        - Apply filters and search for accounting entries and accounting receipts.
        - Retrieve list of accounting entries and accounting receipts.
        - Retrieve details of a specific accounting entry.
paths:
  /v0/tag-groups/{groupId}/tags:
    post:
      tags:
        - tags
      summary: Create a new tag for a tag group
      description: Create a new tag for a tag group in Pleo.
      operationId: createTag
      parameters:
        - name: groupId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Unique identifier of the tag group.
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/TagCreateModel'
        required: true
      responses:
        '201':
          description: Tag created successfully.
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseTagModel'
        '400':
          description: Tag group already contains maximum number of active tags.
        '409':
          description: 'Conflict: tag with the same `code` already exists in Pleo.'
components:
  schemas:
    TagCreateModel:
      required:
        - archived
        - code
      type: object
      properties:
        archived:
          type: boolean
          description: Boolean flag used to determine whether the tag is archived.
          example: false
        code:
          type: string
          description: Code used in the external ERP/accounting system to identify the tag.
          example: '12345'
        name:
          type: string
          description: User readable name of the tag.
          example: Lunch allowance
        otherDimensionValues:
          type: array
          description: >-
            Dimension values outside the two main dimensions ordered by display
            order. Values not provided will be given empty values.Values will be
            ignored if there is not enough dimensions to add them to.
          example:
            - value1
            - value2
          items:
            type: string
            description: >-
              Dimension values outside the two main dimensions ordered by
              display order. Values not provided will be given empty
              values.Values will be ignored if there is not enough dimensions to
              add them to.
            example: '["value1","value2"]'
    DataResponseTagModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/TagModel'
    TagModel:
      required:
        - archived
        - code
        - createdAt
        - groupId
        - id
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: Boolean flag used to determine whether the tag is archived.
          example: false
        code:
          type: string
          description: Code used in the external ERP/accounting system to identify the tag.
          example: '12345'
        createdAt:
          type: string
          description: Creation date and time.
          format: date-time
          example: '2023-08-23T03:11:48Z'
        groupId:
          type: string
          description: Unique identifier of the tag group this tag belongs to.
          format: uuid
        id:
          type: string
          description: Unique identifier of the tag.
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        name:
          type: string
          description: User readable name of the tag.
          example: Lunch allowance
        updatedAt:
          type: string
          description: Date and time of the last update.
          format: date-time
          example: '2023-08-23T03:11:48Z'
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````